# ChangeLog for net-misc/hylafax
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-misc/hylafax/ChangeLog,v 1.103 2010/05/23 17:47:48 nerdboy Exp $

  23 May 2010; Steve Arnold <nerdboy@gentoo.org> hylafax-4.4.4-r2.ebuild,
  hylafax-6.0.3.ebuild, -hylafax-4.2.5.ebuild, -hylafax-4.3.0.ebuild,
  -hylafax-4.3.1.ebuild, -hylafax-4.3.7.ebuild:
  Forcing tiff-3 for most recent (stable) versions per bug 319715. Also
  cleaned up stale versions.

  29 Dec 2009; Raúl Porcel <armin76@gentoo.org> hylafax-6.0.3.ebuild:
  sparc stable wrt #290525

  26 Dec 2009; Peter Volkov <pva@gentoo.org> hylafax-4.2.5.ebuild,
  hylafax-4.3.0.ebuild, hylafax-4.3.1.ebuild, hylafax-4.3.7.ebuild,
  hylafax-4.4.4-r2.ebuild, hylafax-6.0.3.ebuild:
  virtual/ghostscript->app-text/ghostscript-gpl: ghostscript-gpl is the only
  implementation left in the tree.

  10 Dec 2009; Jeroen Roovers <jer@gentoo.org> hylafax-6.0.3.ebuild:
  Stable for HPPA (bug #290525).

  08 Nov 2009; nixnut <nixnut@gentoo.org> hylafax-6.0.3.ebuild:
  ppc stable #290524

  04 Nov 2009; Markus Meier <maekke@gentoo.org> hylafax-6.0.3.ebuild:
  amd64/x86 stable, bug #290525

*hylafax-6.0.3 (28 Sep 2009)

  28 Sep 2009; Steve Arnold <nerdboy@gentoo.org> +hylafax-6.0.3.ebuild:
  Updated to newest upstream release (closes bug 267984).  The locale stuff
  is new, so could use some testing...

  29 Aug 2009; Petteri Räty <betelgeuse@gentoo.org>
  hylafax-4.4.4-r2.ebuild:
  Migrate to EAPI 2 in order to get rid of built_with_use.

  27 Jan 2009; Ferris McCormick <fmccor@gentoo.org> hylafax-4.4.4-r2.ebuild:
  Sparc stable, Bug #245190.

  24 Dec 2008; Steve Arnold <nerdboy@gentoo.org> hylafax-4.4.4-r2.ebuild:
  QA fix to disable automatic stripping of binaries.  Closes bug #252012.

  21 Dec 2008; Steve Arnold <nerdboy@gentoo.org> hylafax-4.2.5.ebuild,
  hylafax-4.3.0.ebuild, hylafax-4.3.1.ebuild, hylafax-4.3.7.ebuild,
  hylafax-4.4.4-r2.ebuild:
  Added blocker for net-dialup/sendpage (see bug#248091). Changing the
  location of sendpage in Hylafax would cause too many new bugs; might
  take another look in the future if there's really a need...

  20 Dec 2008; nixnut <nixnut@gentoo.org> hylafax-4.4.4-r2.ebuild:
  Stable on ppc wrt bug 245190

*hylafax-4.4.4-r2 (19 Dec 2008)

  19 Dec 2008; Steve Arnold <nerdboy@gentoo.org> +files/hylafax.conf,
  +files/hylafax.init, -hylafax-4.4.4-r1.ebuild, +hylafax-4.4.4-r2.ebuild:
  Another rev-bump is warranted due to new and more Gentoo-conformant init 
  and conf setup; the previous init script got borked a while back by 
  other init changes, and as we all know, not everyone has the proper 
  hardware to fully test this package.  Current keywords are being kept
  so as not to overly annoy the arch testers (proper operation needs to
  be verified by a sysadmin with real fax-modem hardware).  The init
  script now dies correctly if no setup.cache is found.  Thanks to
  Geaaru <geaaru@gmail.com> for the updated init/conf files (minor
  grammar corrections only).

  16 Dec 2008; Jeroen Roovers <jer@gentoo.org> hylafax-4.4.4-r1.ebuild:
  Stable for HPPA (bug #245190).

  14 Dec 2008; Markus Meier <maekke@gentoo.org> hylafax-4.4.4-r1.ebuild:
  amd64/x86 stable, bug #245190

*hylafax-4.4.4-r1 (07 Dec 2008)

  07 Dec 2008; Steve Arnold <nerdboy@gentoo.org> -hylafax-4.4.4.ebuild,
  +hylafax-4.4.4-r1.ebuild:
  Internal path fix needs a rev-bump for anyone who just picked up the new 
  stable version (fixes bug #248812).

  06 Dec 2008; nixnut <nixnut@gentoo.org> hylafax-4.4.4.ebuild:
  Stable on ppc wrt bug 245190

  30 Nov 2008; Raúl Porcel <armin76@gentoo.org> hylafax-4.4.4.ebuild:
  sparc stable wrt #245190

  16 Nov 2008; Markus Meier <maekke@gentoo.org> hylafax-4.4.4.ebuild:
  x86 stable, bug #245190

  13 Nov 2008; Jeremy Olexa <darkside@gentoo.org> hylafax-4.4.4.ebuild:
  amd64 stable, bug #245190

  10 Nov 2008; Steve Arnold <nerdboy@gentoo.org> hylafax-4.4.4.ebuild:
  Updated latest version to allow agetty default when no mgetty is used.
  Too many errors for parallel makes, so it stays at -j1.

*hylafax-4.4.4 (13 Jul 2008)

  13 Jul 2008; Steve Arnold <nerdboy@gentoo.org> +hylafax-4.4.4.ebuild:
  updated to latest 4.4x release (closes bug 231221)

*hylafax-4.3.7 (08 Jul 2008)

  08 Jul 2008; Steve Arnold <nerdboy@gentoo.org> hylafax-4.3.1.ebuild,
  +hylafax-4.3.7.ebuild:
  Updated with gcc 4.3.1 fixes and corrected/simplified mgetty use logic; see
  bugs 229263 and 175973 for more info.  Updated to latest Hylafax 4.3.x rel.

  04 Feb 2008; Christian Faulhammer <opfer@gentoo.org> hylafax-4.3.1.ebuild:
  revamp logic to pkg_setup(); add another built_with_use check for USE=fax on
  net-dialup/mgetty

  17 Oct 2007; Steve Arnold <nerdboy@gentoo.org> hylafax-4.2.5.ebuild,
  hylafax-4.3.0.ebuild, hylafax-4.3.1.ebuild:
  fix for bug 196147 in all versions

  24 Aug 2007; Steve Arnold <nerdboy@gentoo.org>
  +files/gentoo-gcc-version.patch, +files/hylafax.cron,
  +files/hylafax.modules, hylafax-4.3.0.ebuild, hylafax-4.3.1.ebuild:
  Added fixes for bugs #138393, #179428, and #187118 - a patch (fixed
  upstream in trunk) and some ebuild updates, along with a couple of
  example files for the faxqclean cron job and iptables (left as an
  install exercise for the user).  Thanks to several people for the
  patch and other files (see the relevant bugs).

  28 Apr 2007; Sven Wegener <swegener@gentoo.org> hylafax-4.2.5.ebuild,
  hylafax-4.3.0.ebuild, hylafax-4.3.1.ebuild:
  Fix *initd, *confd and *envd calls (#17388, #174266)

  24 Apr 2007; Jose Luis Rivero <yoswink@gentoo.org> hylafax-4.2.5.ebuild,
  hylafax-4.3.0.ebuild, hylafax-4.3.1.ebuild:
  Removed alpha keyword. The Alpha arch team haven't got the resources nor
  interest to keep keywording this package, although it could be working just
  fine.

  23 Feb 2007; Steve Arnold <nerdboy@gentoo.org> hylafax-4.2.5.ebuild,
  hylafax-4.3.0.ebuild, hylafax-4.3.1.ebuild:
  updated mgetty config paths per bug 166175

*hylafax-4.3.1 (28 Jan 2007)

  28 Jan 2007; Steve Arnold <nerdboy@gentoo.org>
  -files/hylafax-4.2.3-faxrcvd-eval-vulnerability.patch,
  -files/hylafax-4.2.3-notify-eval-vulnerability.patch,
  -files/hylafax-4.2.3-tiff_version.patch, -hylafax-4.2.3-r1.ebuild,
  +hylafax-4.3.1.ebuild:
  Added latest upstream version and removed oldest stale version.

  01 Oct 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  hylafax-4.3.0.ebuild:
  hppa stable, bug #146445

  29 Sep 2006; Gustavo Zacarias <gustavoz@gentoo.org> hylafax-4.3.0.ebuild:
  Stable on sparc wrt #146445

  24 Sep 2006; Michael Hanselmann <hansmi@gentoo.org> hylafax-4.3.0.ebuild:
  Stable on ppc.

  08 Sep 2006; Steve Arnold <nerdboy@gentoo.org> hylafax-4.3.0.ebuild:
  stable bump for bug 146445; re-opening for other arches.

  05 Aug 2006; Chris White <chriswhite@gentoo.org> metadata.xml:
  metadata.xml translation by Yoshino-san in bug #136068

*hylafax-4.3.0 (01 Jul 2006)

  01 Jul 2006; Steve Arnold <nerdboy@gentoo.org>
  +files/hylafax-fix-configure-gcc-3-4.patch, +hylafax-4.3.0.ebuild:
  Version bump and jbig support for bugs 133477 and 137613; configure
  patch is just-in-case (worksforme with 3.4.5 and 4.1.1).

  24 May 2006; Michael Hanselmann <hansmi@gentoo.org> hylafax-4.2.5.ebuild:
  Stable on ppc.

  09 May 2006; Gustavo Zacarias <gustavoz@gentoo.org> hylafax-4.2.5.ebuild:
  Stable on hppa & sparc

  04 May 2006; Steve Arnold <nerdboy@gentoo.org>
  +files/hylafax-4.2.3-tiff_version.patch,
  +files/hylafax-4.2.5-tiff_version.patch, hylafax-4.2.3-r1.ebuild,
  hylafax-4.2.5.ebuild:
  updated for new tiff version and stable bump for x86 and amd64

  29 Jan 2006; Steve Arnold <nerdboy@gentoo.org> hylafax-4.2.3-r1.ebuild,
  hylafax-4.2.5.ebuild:
  added jbigkit (bug 120525), however, some arches still use the older
  version of jbigkit (alpha and amd64, see bug 118362) with a TEXREL
  issue.

*hylafax-4.2.5 (13 Jan 2006)

  13 Jan 2006; Steve Arnold <nerdboy@gentoo.org> -hylafax-4.2.4.ebuild,
  +hylafax-4.2.5.ebuild:
  following upstream practice and uprading/removing latest version

  08 Jan 2006; Steve Arnold <nerdboy@gentoo.org> hylafax-4.2.3-r1.ebuild,
  hylafax-4.2.4.ebuild:
  Updated with partial fix for bug 74457; thanks to kerframil for the tests
  and recommended fix (goes away once it works correctly with SSP).

  06 Jan 2006; Steve Arnold <nerdboy@gentoo.org>
  -files/configure-gcc-3.4.patch, -files/hylafax-4.2.0-fPIC.patch,
  -files/hylafax-4.2.0-faxcron_uid.patch,
  -files/hylafax-4.2.0-faxmail-charset.patch,
  -files/hylafax-4.2.0-tiff_version.patch,
  -files/hylafax-4.2.1-openpam.patch, -files/hylafax-4.2-tmpdir.patch,
  -files/hylafax-hostvuln.patch, -hylafax-4.2.0-r3.ebuild,
  -hylafax-4.2.1-r2.ebuild, -hylafax-4.2.2.ebuild, hylafax-4.2.3-r1.ebuild:
  Updated keywords and cleaned up old versions; all the old ones were 4.2x,
  so it seemed like a good opportunity to tidy up all the old patches.  If
  anyone *really* needs an older version, file a bug and we'll see about
  back-porting the security patches...

*hylafax-4.2.4 (05 Jan 2006)
*hylafax-4.2.3-r1 (05 Jan 2006)

  05 Jan 2006; Steve Arnold <nerdboy@gentoo.org>
  +files/hylafax-4.2.3-faxrcvd-eval-vulnerability.patch,
  +files/hylafax-4.2.3-notify-eval-vulnerability.patch,
  -hylafax-4.2.3.ebuild, +hylafax-4.2.3-r1.ebuild, +hylafax-4.2.4.ebuild:
  Updated to new version and patched previous version (bug #116389)

  24 Dec 2005; Rene Nussbaumer <killerfox@gentoo.org>
  hylafax-4.2.1-r2.ebuild:
  Stable on hppa.

*hylafax-4.2.3 (19 Dec 2005)

  19 Dec 2005; Steve Arnold <nerdboy@gentoo.org> +hylafax-4.2.3.ebuild:
  Added latest release (closes bug 113781).  TMPDIR patch not applied.

  28 Nov 2005; Steve Arnold <nerdboy@gentoo.org> hylafax-4.2.0-r3.ebuild,
  hylafax-4.2.1-r2.ebuild, hylafax-4.2.2.ebuild:
  Added rdepend for netpbm to address bug #112436

  18 Oct 2005; Aron Griffis <agriffis@gentoo.org> hylafax-4.2.1-r2.ebuild:
  Mark 4.2.1-r2 stable on alpha

  02 Oct 2005; Michael Hanselmann <hansmi@gentoo.org>
  hylafax-4.2.1-r2.ebuild:
  Stable on ppc.

*hylafax-4.2.1-r2 (30 Sep 2005)
*hylafax-4.2.0-r3 (30 Sep 2005)

  30 Sep 2005; Steve Arnold <nerdboy@gentoo.org>
  -files/hylafax-4.1.8-fPIC.patch, -files/hylafax-4.1.8-gcc-version.patch,
  -files/99hylafax, -files/hylafax, -hylafax-4.2.0-r2.ebuild,
  +hylafax-4.2.0-r3.ebuild, -hylafax-4.2.1.ebuild, -hylafax-4.2.1-r1.ebuild,
  +hylafax-4.2.1-r2.ebuild:
  rev bumps to force update for bug 106882 and more cleanup

*hylafax-4.2.2 (28 Sep 2005)

  28 Sep 2005; Steve Arnold <nerdboy@gentoo.org>
  +files/hylafax-4.2-tmpdir.patch, -hylafax-4.1.8-r4.ebuild,
  hylafax-4.2.0-r2.ebuild, hylafax-4.2.1.ebuild, hylafax-4.2.1-r1.ebuild,
  +hylafax-4.2.2.ebuild:
  Fixes for bugs 106882 (tmpdir fix) and 106412 (put back missing fPIC
  patch) and cleanup of older ebuild - scream if you need it back.
  Stable bumps for x86 and sparc, and new ~arch version.

  10 Sep 2005; Steve Arnold <nerdboy@gentoo.org>
  +files/hylafax-4.2.0-faxmail-charset.patch, -hylafax-4.2.0-r1.ebuild,
  hylafax-4.2.0-r2.ebuild:
  Added charset patch for Bug #104022 to 4.2.0 only (needs upstream fix).
  Thanks to Roman Valls <brainstorm@nopcode.org> for the patch.

  12 Aug 2005; Steve Arnold <nerdboy@gentoo.org> ChangeLog:
  Added fix for bug #101383 (incorrect perms on spool dir)

  23 Jun 2005; Diego Pettenò <flameeyes@gentoo.org>
  +files/hylafax-4.2.1-openpam.patch, hylafax-4.2.1-r1.ebuild:
  Made hylafax multilib-strict safe. Added patch for OpenPAM compatibility
  (fixed upstream). See bug #95143.

*hylafax-4.2.1 (17 Feb 2005)

  17 Feb 2005; Steve Arnold <nerdboy@gentoo.org> +hylafax-4.2.1.ebuild:
  Version bump to address bugs 64291 and 80534; all previous patches
  incorporated upstream.  C++ make break on parallel makes, but it
  builds fine with -j1 and a cool-running system...

*hylafax-4.2.0-r2 (11 Jan 2005)

  11 Jan 2005; Mike Doty <kingtaco@gentoo.org> +files/hylafax-hostvuln.patch,
  +hylafax-4.2.0-r2.ebuild:
  bump to -r2 per security bug 75941

  06 Jan 2005; Guy Martin <gmsoft@gentoo.org> +files/hylafax-4.2.0-fPIC.patch,
  hylafax-4.2.0-r1.ebuild:
  Added -fPIC fix for all arches.

  04 Dec 2004; Steve Arnold <nerdboy@gentoo.org> hylafax-4.2.0-r1.ebuild:
  removed dso-configure patch and set DSO=auto to address bug 72895

  16 Nov 2004; Gustavo Zacarias <gustavoz@gentoo.org> hylafax-4.2.0-r1.ebuild:
  Stable on sparc

  15 Nov 2004; Steve Arnold <nerdboy@gentoo.org> hylafax-4.2.0-r1.ebuild:
  Bumped to stable on x86 due to tiff 3.6.x brokenness.  All reports so
  far indicate this version of Hylafax plus tiff 3.7.0 is the smoothest
  yet (with no apparent tiff bugs).  Changes in Hylafax 4.2:
    1) no more tiff silliness (requires tiff 3.7.0 or better)
    2) tiff supports native lzw-compression
    3) metamail is optional, and can be used instead of sharutils, for
       fax-mail support (sharutils is the default depend)

  25 Oct 2004; Steve Arnold <nerdboy@gentoo.org>
  +files/configure-gcc-3.4.patch:
  added missing patch file for bug 66794

  25 Oct 2004; Steve Arnold <nerdboy@gentoo.org> -hylafax-4.1.8-r1.ebuild,
  -hylafax-4.1.8-r2.ebuild, -hylafax-4.1.8-r3.ebuild, -hylafax-4.1.8.ebuild,
  -hylafax-4.2.0.ebuild, -hylafax-4.2.0_rc2.ebuild:
  removed out-dated ebuilds

*hylafax-4.2.0-r1 (23 Oct 2004)

  23 Oct 2004; Steve Arnold <nerdboy@gentoo.org>
  +files/hylafax-4.2.0-tiff_version.patch, +hylafax-4.2.0-r1.ebuild:
  updated for new tiff and other bug fixes; ebuild co-written with new
  dev-recruit KingTaco <mike@uberslacks.com>. Should fix bug 66794.

  13 Oct 2004; Guy Martin <gmsoft@gentoo.org> hylafax-4.1.8-r4.ebuild:
  Stable on hppa.

  13 Oct 2004; Guy Martin <gmsoft@gentoo.org> hylafax-4.1.8-r4.ebuild:
  Forced -fPIC patch on every arches (#55238).

*hylafax-4.2.0 (29 Aug 2004)

  29 Aug 2004; Steve Arnold <nerdboy@gentoo.org>
  +files/hylafax-4.2.0-dso.patch, +files/hylafax-4.2.0-faxcron_uid.patch,
  +hylafax-4.2.0.ebuild:
  added/fixed latest official stable upstream version (bug 62026)

  22 Aug 2004; Jason Wever <weeve@gentoo.org> hylafax-4.1.8-r4.ebuild:
  Stable on sparc.

*hylafax-4.2.0_rc2 (09 Aug 2004)

  09 Aug 2004; Steve Arnold <nerdboy@gentoo.org> +files/99hylafax-4.2,
  +files/hylafax-4.2, hylafax-4.1.8-r4.ebuild, +hylafax-4.2.0_rc2.ebuild:
  added 4.2_rc2 and bumped 4.1.8-r4 to x86 (closes bug 59766)
  4.2 ebuild contributed by stan <stan@saticed.me.uk>

*hylafax-4.1.8-r4 (04 Jul 2004)

  04 Jul 2004; Steve Arnold <nerdboy@gentoo.org> +files/99hylafax,
  +hylafax-4.1.8-r4.ebuild:
  added updated ebuild with env.d entry to fix bug #55962

  09 May 2004; David Holm <dholm@gentoo.org> hylafax-4.1.8-r3.ebuild:
  Added to ~ppc.

*hylafax-4.1.8-r3 (06 May 2004)

  06 May 2004; Steve Arnold <nerdboy@gentoo.org> hylafax-4.1.8-r3.ebuild:
  added metamail depend, left it x86 since -r2 was heavily exercised

  26 Apr 2004; Steve Arnold <nerdboy@gentoo.org> hylafax-4.1.8-r2.ebuild:
  put back ~sparc (sorry, got carried away there)

  25 Apr 2004; Steve Arnold <nerdboy@gentoo.org> hylafax-4.1.8-r1.ebuild,
  hylafax-4.1.8-r2.ebuild:
  added more specific configure options and einfo for fax2tiff issue
  also marked -r2 stable on previously stable arches

  20 Apr 2004; Danny van Dyk <kugelfang@gentoo.org>
  +files/hylafax-4.1.8-fPIC.patch, hylafax-4.1.8-r1.ebuild,
  hylafax-4.1.8-r2.ebuild, hylafax-4.1.8.ebuild:
  Added patch to allow compilation on alpha and amd64. Fixes BUG #47846. marked
  -r2 "~amd64 ~alpha" and marked all previous version "-alpha -amd64" on behalf
  of agriffis.

  15 Apr 2004; <augustus@gentoo.org> hylafax-4.1.8-r2.ebuild:
  Added ~amd64 keyword.

*hylafax-4.1.8-r2 (13 Mar 2004)

  13 Mar 2004; <nerdboy@gentoo.org> hylafax-4.1.8-r2.ebuild,
  files/hylafax-4.1.8-gcc-version.patch:
  gcc version patch suggested by Torsten Kurbad <torsten@tk-webart.de>
  since autoreconf doesn't seem to work on all systems (bug 29464)
  also fixed date errors and removed mips and ppc due to too many
  bad depends

  09 Dec 2003; Heinrich Wendel <lanius@gentoo.org> hylafax-4.1.8-r1.ebuild,
  hylafax-4.1.8.ebuild:
  changed app-text/ghostscript to virtual/ghostscript

*hylafax-4.1.8-r1 (23 Nov 2003)

  23 Nov 2003; <nerdboy@gentoo.org> hylafax-4.1.8-r1.ebuild:
  fixed missing directories - bug 33432

  18 Nov 2003: Daniel Robbins <drobbins@gentoo.org> hylafax-4.1.8.ebuild:
  Marking stable on all arches irt GLSA 200311-03, and since no other hylafaxes
  are available in Portage for security reasons.
  
  13 Nov 2003; <nerdboy@gentoo.org> : removed stale digest files

*hylafax-4.1.8 (12 Nov 2003)

  12 Nov 2003; <nerdboy@gentoo.org> hylafax-4.1.8.ebuild:
  new hylafax fixes remote exploit MDKSA-2003:105
  removed previous ebuilds and marked 4.1.8 x86

*hylafax-4.1.7-r2 (31 Oct 2003)

  31 Oct 2003; <nerdboy@gentoo.org> hylafax-4.1.7-r2.ebuild, files/hylafax:
  new gentoo-style init script contributed by Patrick Daxboeck 
  <gentoo@daxboeck.com>

  24 Oct 2003; <nerdboy@gentoo.org> hylafax-4.1.7-r1.ebuild:
  bump r1 to x86 (a little early, but...)

*hylafax-4.1.7-r1 (03 Oct 2003)

  03 Oct 2003; <nerdboy@gentoo.org> hylafax-4.1.7-r1.ebuild:
  added autoreconf for new gcc 3.3.1 version output

  23 Sep 2003; <nerdboy@gentoo.org> hylafax-4.1.7.ebuild:
  changed keywords to x86

  22 Sep 2003; <paul@gentoo.org> metadata.xml:
  Fix metadata.xml

*hylafax-4.1.7 (20 Sep 2003)

  20 Sep 2003; <sarnold@gentoo.org> hylafax-4.1.7.ebuild:
  version bump with ebuild from Stephane LOEUILLET, re Bug 28574

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc 
  keywords
 
*hylafax-4.1.5 (25 Oct 2002)

  09 Dec 2002; Nick Hadaway <raker@gentoo.org> hylafax-4.1.5.ebuild :
  Marked stable.

  25 Oct 2002; Nick Hadaway <raker@gentoo.org> hylafax-4.1.5.ebuild,
  files/digest-hylafax-4.1.5 :
  Version bump.  See http://www.hylafax.org/4.1.5.html for release
  info.  Most notably, an important issue with faxgetty has been
  resolved.  Also changed the ebuild to correct the install location
  of html docs.  Currently marked unstable.

*hylafax-4.1.3 (12 Aug 2002)

  11 Sep 2002; Nick hadaway <raker@gentoo.org> hylafax-4.1.3.ebuild :
  Updated small typo

  27 Aug 2002; Nick Hadaway <raker@gentoo.org> hylafax-4.1.3.ebuild :
  Added fixes to address bug #7058.  Cleaned up the ebuild formatting.
  Corrected license to be freedist.

  15 Aug 2002; Nick Hadaway <raker@gentoo.org> hylafax-4.1.3.ebuild :
  Added /etc/init.d/hylafax permissions fix.

  12 Aug 2002; Nick Hadaway <raker@gentoo.org> hylafax-4.1.3.ebuild,
  files/digest-hylafax-4.1.3 :
  Version bump.  I have removed previous patches from the ebuild
  temporarily until I can figure out which patches are still needed.
  Taken from the release notes:
    4.1.3 includes fixes for a remote format string vulnerability 
    which could be abused in a denial of service attack. Also fixed 
    is a buffer overflow condition when receiving fax image data 
    which potentially could be exploited to execute arbitrary code as 
    root. Also present in 4.1.3 are fixes for several other local remote 
    format string vulnerabilities which, in some installations, could 
    lead to elevated privileges by abuse. Everyone is advised to upgrade.

*hylafax-4.1.2-r1 (24 Apr 2002)

  13 Aug 2002; Nick Hadaway <raker@gentoo.org> hylafax-4.1.2-r1.ebuild ;
  Added "insopts -m 755" so /etc/init.d/hylafax installs with correct
  permissions.

  06 Jul 2002; phoen][x <phoenix@gentoo.org> hylafax-4.1.2-r1.ebuild :
  Added KEYWORDS, LICENSE, SLOT.

  24 Apr 2002; Seemant Kulleen <seemant@gentoo.org> hylafax-4.1.2-r1.ebuild
  files/hylafax-4.1.2-r1-gentoo-diffs.tar.bz2 files/digest-hylafax-4.1.2-r1 :

  Lee Howard <faxguy@deanox.com> from the hylafax-users mailing list informed
  me that drobbins' patch to make the configure script work with sed-3.02.80
  (as posted on hylafax's bugzilla by g2boojum) was a tad incomplete.  He 
  graciously completed it et voila! successful emerge without having to compile
  a static sed-3.02 :)  Many thanks to him.

*hylafax-4.1.2 (23 Apr 2002)

  06 Jul 2002; phoen][x <phoenix@gentoo.org> hylafax-4.1.2.ebuild :
  Added KEYWORDS, LICENSE, SLOT.

  23 Apr 2002; Seemant Kulleen <seemant@gentoo.org> hylafax-4.1.2.ebuild
  files/hylafax-4.1.2-gentoo-diffs.tar.bz2 files/digest-hylafax-4.1.2 :

  Updated to newest stable release.  This is a pain to build because it requires
  a lower GNU/sed version than we have in portage.  So, GNU/sed-3.02 is fetched
  and built statically, so that it can be used to configure hylafax.  The
  other patches are taken from Mandrake's srpm for 4.1.1, but seems to work well
  with this.

*hylafax-cvs-000614-r1 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog : 

  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
